<div fxLayout="row" fxLayoutAlign="space-between start">
  <div>
    <h3 mat-dialog-title>Calcular Frete</h3>
  </div>
  
  <button mat-button mat-dialog-close>
    <mat-icon>close</mat-icon>
  </button>
</div>
<hr>
<div class="panel-content">
    <mat-dialog-content>
       <br>
        <div>
          <form [formGroup]="salesFreightForm" novalidate>

              <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
                  <mat-form-field fxFlex="100">
                      <input matInput placeholder="CEP" formControlName="searchField">
                      <mat-icon  matSuffix (click)="searchFreight()">search</mat-icon>
                  </mat-form-field>
              </div>
             
              <mat-nav-list>
                  <table class="simple">
                      <thead>
                          <tr>
                             <th></th>
                              <th>Forma de envio</th>
                              <th>Custo</th>
                              <th>Entrega prevista</th>
                              
                          </tr>
                      </thead>
                      <tbody *ngIf="freightList" >
                          <tr *ngFor="let freight of freightList" (click)="setSalesFreight(freight)">
                               <td>
                                  <mat-icon>local_shipping</mat-icon>
                              </td>
                              <td>
                                {{freight.serviceDescription }}   
                              </td>
                              <td>
                                  R$&nbsp; {{ freight.value }} 
                              </td>   
                              <td>
                                  {{ freight.deliveryTime }}&nbsp; dias
                              </td>                               
                          </tr>
                      </tbody>
                  </table>
              </mat-nav-list>
              <mat-chip-list *ngIf="freightList?.length === 0">
                <mat-chip color="accent">Não foram encontados frete para a sua busca</mat-chip>
              </mat-chip-list>
            </form>
      </div>
    </mat-dialog-content>
</div>